﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=9.8
@EndOfDesignText@
'Static code module
'https://ionic.io/ionicons
'https://ionicframework.com/docs/
#IgnoreWarnings:12
Sub Process_Globals
	Public app As IonicApp								'ignore
	Private BANano As BANano							'ignore
	Private apppage As SHIonPage						'ignore
	Private apppageheader As SHIonHeader				'ignore
	Private apppagetoolbar As SHIonToolbar				'ignore
	Private apppagestartbuttons As SHIonButtons			'ignore
	Private apppagemenubutton As SHIonMenuButton		'ignore
	Private apppagetitle As SHIonTitle					'ignore
	Private apppagecontent As SHIonContent				'ignore
	Private appmenu As SHIonMenu						'ignore
	Private apptoast As SHIonToast						'ignore
End Sub

Sub Initialize
	'initialize the app, show ios mode
	BANano.Await(app.Initialize(Me, "md"))
'	'add a toast notification
	apptoast = app.Root.AddToast("apptoast", True)
'	'link the toast notification to the app
	app.SetToastController(apptoast)
'	'** APP PAGE
'	'add a page To the app
	apppage = app.Root.AddPage("apppage")
'	'add header To the page
	apppageheader = apppage.Root.AddHeader("apppageheader")
'	'add toolbar To the page
	apppagetoolbar = apppageheader.Root.AddToolbar("apppagetoolbar")
'	'add the start buttons
	apppagestartbuttons = apppagetoolbar.Root.AddButtons("apppagestartbuttons", "start")
'	'add menu button To start buttons And link it To the appmenu
	apppagemenubutton = apppagestartbuttons.Root.AddMenuButton("apppagemenubutton", "appmenu")
	apppagemenubutton.AutoHide = False
'	'add title To the page
	apppagetitle = apppagetoolbar.Root.AddTitle("apppagetitle", Main.AppTitle)
'	'add content To the page
	apppagecontent = apppage.Root.AddContent("apppagecontent")
	apppagecontent.IonPadding = True
	apppagecontent.Text = " Tap the button in the toolbar to open the menu. "
'	'**** APP MENU
'	'add a menu To the app And link it To the apppage
	appmenu = app.Root.AddMenu("appmenu", "apppage")
	'add an accordion to the menu
	Dim appmenutree As SHIonAccordionGroup = appmenu.Root.AddAccordionGroup("appmenutree")
	'add an accordion item to the accordion which a list content slot
	Dim node1 As SHIonList = appmenutree.Root.AddAccordionHeaderContentList("node1", "Accounting")
	node1.AddItemIconLabel("account1", "accessibility-outline", "Account 1")
	node1.AddItemIconLabel("account2", "add-circle-outline", "Account 2")
	node1.AddItemIconLabel("account3", "airplane-outline", "Account 3")
'	'add an accordion item with a header which Is a list
	Dim node2 As SHIonList = appmenutree.Root.AddAccordionHeaderContentList("node2", "Human Resources")
	node2.AddItemAvatarLabel("hr0", "./assets/sponge.png", "Employee 0")
	node2.AddItemAvatarLabel("hr1", "./assets/1.jpg", "Employee 1")
	node2.AddItemAvatarLabel("hr2", "./assets/2.jpg", "Employee 2")
	node2.AddItemAvatarLabel("hr3", "./assets/3.jpg", "Employee 3")
	'
	Dim node3 As SHIonList = appmenutree.Root.AddAccordionHeaderContentList("node3", "Mathematics")
	node3.AddItemBadge("semester1", "10", "Semester 1")
	node3.AddItemBadge("semester2", "20", "Semester 2")
	node3.AddItemBadge("semester3", "30", "Semester 3")
	node3.AddItemBadge("semester4", "40", "Semester 4")
'	
	Dim node4 As SHIonList = appmenutree.Root.AddAccordionHeaderContentList("node4", "Education")
	node4.AddItemCheckbox("task1", "Task 1")
	node4.AddItemCheckbox("task2", "Task 2")
	node4.AddItemCheckbox("task3", "Task 3")
	node4.AddItemCheckbox("task4", "Task 4")
	'
	Dim node5 As SHIonList = appmenutree.Root.AddAccordionHeaderContentList("node5", "Toggles")
	node5.AddItemToggle("toggle1", "Toggle 1")
	node5.AddItemToggle("toggle2", "Toggle 2")
	node5.AddItemToggle("toggle3", "Toggle 3")
	node5.AddItemToggle("toggle4", "Toggle 4")
	node5.AddItemToggle("toggle5", "Toggle 5")
	node5.AddItemToggle("toggle6", "Toggle 6")
	
	
	'bind item click events
	'important if you want to trap click events on the list items
	appmenu.BindItemClickEvent(Array("account1", "account2", "account3","hr0", "hr1", "hr2", "hr3"))
	appmenu.BindItemClickEvent(Array("semester1", "semester2", "semester3","semester4"))
End Sub

Private Sub appmenu_ItemClick (e As BANanoEvent)
	Dim itemID As String = e.ID
	itemID = SDUIShared.MvField(itemID, 1, "_")
	app.ShowToastSuccess("", itemID)
End Sub

Sub task1_ionchange (value As Boolean)
	app.ShowToastSuccess("Task 1", value)
End Sub

Sub task2_ionchange (value As Boolean)
	app.ShowToastSuccess("Task 2", value)
End Sub

Sub task3_ionchange (value As Boolean)
	app.ShowToastSuccess("Task 3", value)
End Sub

Sub task4_ionchange (value As Boolean)
	app.ShowToastSuccess("Task 4", value)
End Sub

Sub toggle1_ionchange (value As Boolean)
	app.ShowToastSuccess("Toggle 1", value)
End Sub

Sub toggle2_ionchange (value As Boolean)
	app.ShowToastSuccess("Toggle 2", value)
End Sub

Sub toggle3_ionchange (value As Boolean)
	app.ShowToastSuccess("Toggle 3", value)
End Sub

Sub toggle4_ionchange (value As Boolean)
	app.ShowToastSuccess("Toggle 4", value)
End Sub

Sub toggle5_ionchange (value As Boolean)
	app.ShowToastSuccess("Toggle 5", value)
End Sub

Sub toggle6_ionchange (value As Boolean)
	app.ShowToastSuccess("Toggle 6", value)
End Sub

